Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#495 closed defect (fixed)

make libmisc 16/32 bit clean

Reported by: Ralf Corsepius Owned by: Joel Sherrill
Priority: normal Milestone: 2
Component: unspecified Version: 4.7
Severity: major Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description

libmisc/monitor

  • doesn't compile on 16/32bit archs.
  • icc70 emits a plethora of warnings.

IMO, the cause of these breakdowns is bad code.

Release:
RTEMS-4.7/CVS-trunk

Attachments (1)

rtems-4.7-libmisc-20030922.diff (18.1 KB) - added by Ralf Corsepius on 12/03/06 at 13:31:13.
rtems-4.7-libmisc-20030922.diff

Download all attachments as: .zip

Change History (3)

comment:1 Changed on 09/26/03 at 16:43:11 by Joel Sherrill

Status: assignedclosed

State-Changed-From-To: open->closed
State-Changed-Why: Patch applied to trunk.

Changed on 12/03/06 at 13:31:13 by Ralf Corsepius

rtems-4.7-libmisc-20030922.diff

comment:2 Changed on 10/10/17 at 06:35:44 by Sebastian Huber

Component: miscunspecified
Note: See TracTickets for help on using tickets.